*==============================================================================
* Function:			GetProperFileCase
* Purpose:			Returns the specified file or folder name in the case as it
*						exists on disk
* Author:			Doug Hennig
* Last revision:	09/26/2008
* Parameters:		tcName   - the name of the file or folder
*					tlFolder - .T. if the name is a folder
* Returns:			the file or folder name in the correct case
* Environment in:	Scripting.FileSystemObject can be instantiated
* Environment out:	none
*==============================================================================

lparameters tcName, ;
	tlFolder
local loFSO, ;
	loFile, ;
	lcName
try
	loFSO = createobject('Scripting.FileSystemObject')
	if tlFolder
		loFile = loFSO.GetFolder(tcName)
		lcName = addbs(loFile.Path)
	else
		loFile = loFSO.GetFile(tcName)
		lcName = loFile.Path
	endif tlFolder
catch
	lcName = This.GetLongFileName(tcName)
endtry
return lcName
